/*
    Robot servo controller

    Gets data from the client and sends the data to a connected microcontroller

    (C) 2004 Jason Hunt

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    Contact: huntjas2@msu.edu

    Compile with -lwsock32

    On windows 2000 and XP you must install a real mode port assess driver.
    I use "userport"

    FILE: control.h
*/

#ifndef CONTROL_H
#define CONTROL_H

void reset_controller(void);
void update_controller(void);
void set_controller(char lm, char rm, unsigned char p, unsigned char t);

extern int debug;

#endif
